# $Revision: 1.10 $, $Date: 2005/09/17 11:55:06 $
Summary:	PhysicsFS file abstraction layer for games
Summary(pl):	PhysicsFS - warstwa abstrakcji plikw dla gier
Name:		physfs
Version:	1.0.0
Release:	2
License:	BSD-like (see LICENSE)
Group:		Libraries
Source0:	http://www.icculus.org/physfs/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	d02a8543a95d0550490cf4f96e0ddebf
URL:		http://www.icculus.org/physfs/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PhysicsFS is a library to provide abstract access to various archives.
It is intended for use in video games, and the design was somewhat
inspired by Quake 3's file subsystem. The programmer defines a "write
directory" on the physical filesystem. No file writing done through
the PhysicsFS API can leave that write directory, for security. For
example, an embedded scripting language cannot write outside of this
path if it uses PhysFS for all of its I/O, which means that untrusted
scripts can run more safely. Symbolic links can be disabled as well,
for added safety. For file reading, the programmer lists directories
and archives that form a "search path". Once the search path is
defined, it becomes a single, transparent hierarchical filesystem.
This makes for easy access to ZIP files in the same way as you access
a file directly on the disk, and it makes it easy to ship a new
archive that will override a previous archive on a per-file basis.
Finally, PhysicsFS gives you platform-abstracted means to determine if
CD-ROMs are available, the user's home directory, where in the real
filesystem your program is running, etc.

%description -l pl
PhysicsFS to biblioteka udostpniajca abstrakcyjny dostp do rnych
archiww. Zostaa stworzona z myl o grach video, a projekt by
troch wzorowany na podsystemie plikw z Quake 3. Programista
definiuje "katalog zapisu" w fizycznym systemie plikw. aden zapis do
pliku poprzez API PhysicsFS nie moe wyj poza ten katalog - ze
wzgldu na bezpieczestwo. Na przykad, wbudowany jzyk skryptowy nie
moe zapisywa poza t ciek, jeeli uywa PhysicsFS do wszystkich
operacji wejcia/wyjcia, dziki czemu mona bezpiecznie uruchamia
nie zaufane skrypty. Dowizania symboliczne take mog by wyczone
dla poprawy bezpieczestwa. Do odczytu pliku programista podaje
katalogi i archiwa, ktre skadaj si na "ciek poszukiwa". Po
zdefiniowaniu tej cieki, staje si ona pojedynczym, przezroczystym
hierarchicznym systemem plikw. Pozwala to na atwy dostp do plikw
ZIP w taki sam sposb, jak do plikw na dysku, a take uatwia
dostarczenie nowego archiwum, ktre przykryje poprzednie na poziomie
plikw. Ponadto PhysicsFS daje wyabstrahowane od platformy sposoby na
okrelenie, czy dostpne s CD-ROMy, katalog domowy uytkownika, gdzie
w prawdziwym systemie plikw dziaa program itp.

%package devel
Summary:	Header files for PhysicsFS development
Summary(pl):	Pliki nagwkowe do programowania z uyciem PhysicsFS
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	zlib-devel

%description devel
PhysicsFS is a library to provide abstract access to various archives.
This package contains the development headers and documentaion to
build programs using PhysicsFS.

%description devel -l pl
PhysicsFS to biblioteka udostpniajca abstrakcyjny dostp do rnych
archiww. Ten pakiet zawiera pliki nagwkowe i dokumentacj do
budowania programw z uyciem PhysicsFS.

%package static
Summary:	Static PhysicsFS libraries
Summary(pl):	Statyczne biblioteki PhysicsFS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
PhysicsFS is a library to provide abstract access to various archives.
This package contains the static PhysicsFS libraries.

%description static -l pl
PhysicsFS to biblioteka udostpniajca abstrakcyjny dostp do rnych
archiww. Ten pakiet zawiera statyczne biblioteki PhysicsFS.

%package programs
Summary:	Program for testing PhysicsFS archives
Summary(pl):	Program do testowania archiww PhysicsFS
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description programs
PhysicsFS is a library to provide abstract access to various archives.
This package contains the programs using for PhysicsFS archives
testing.

%description programs -l pl
PhysicsFS to biblioteka udostpniajca abstrakcyjny dostp do rnych
archiww. Ten pakiet zawiera program uywany do testowania archiww
PhysicsFS.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
# unused beos.cpp causes unnecessary using CXXLINK... workaround
%{__make} \
	CXXLINK="\$(LINK)"

doxygen

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man3

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install docs/man/man3/{PHYS*,phys*} $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG CREDITS LICENSE TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc docs/html
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/physfs.h
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files programs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/test_physfs

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: physfs.spec,v $
Revision 1.10  2005/09/17 11:55:06  arekm
- new readline, 5.0

Revision 1.9  2004/02/05 19:58:22  qboosh
- removed obsolete link patch, release 1

Revision 1.8  2004/02/05 16:06:28  pzurowski
- Updated to 1.0.0
- Release 0.1: need to update patch (autoXXX things)

Revision 1.7  2003/10/18 08:55:34  qboosh
- up to 0.1.9, updated License
- added link patch (library doesn't need -lreadline, only test program does)

Revision 1.6  2003/09/09 10:24:56  ankry
- spaces -> tab

Revision 1.5  2003/08/18 08:09:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.4  2003/05/27 11:19:39  trojan
- added Source-md5

Revision 1.3  2003/05/25 06:25:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/13 22:10:20  qboosh
- pl, fixed binary perms

Revision 1.1  2003/04/09 09:20:23  trojan
- initial
